[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Wireless module bcm43xx in 2.6.17 kernel

Is anyone else having problems with the new Broadcom bcm43xx module? I get the following error in dmesg when the wireless interface is configured in /etc/network/interfaces, /etc/default/ifplugd, etc/default/wpasupplicant, and /etc/wpa_supplicant.conf. The error is repeated about 30 times. bcm43xx: Error: Microcode "bcm43xx_microcode5.fw" not available or load failed.

If the interface is not configured I get no error.

I have had this same wireless device running using ndiswrapper but as I just rebuilt my laptop and the Broadcom module was included in the new kernel I figured I would try it. So I'm wondering if this error is because the bcm43xx module has not been integrated into the wpa_supplicant package yet. I haven't seen that it is, but just was wondering if it has been the documentation just hasn't been updated as yet. Or, am I supposed to be naming the ieee80211_crypt module in the wpa_supplicant configuration as lsmod shows it is loaded as a dependency for the bcm43xx module? Documentation either seems to be pretty scarce on this yet or I'm looking in the wrong places for it.

Reply to: